curl --location --globoff 'https://.daftra.com/api2/invoices/add_bulk.json?send=&client_id=&terminal_id=' \
--header 'Accept: application/json' \
--header 'apikey: ' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '[
{
"Invoice": {
"client_id": 7,
"staff_id": 1,
"branch_id": 1,
"client_email": "test@test.tesdttt",
"store_id": 1,
"type": 0,
"currency_code": "USD",
"date": "2026-06-17",
"draft": false,
"discount": 0,
"discount_amount": 0,
"deposit": 0,
"notes": "Thanks for your business"
},
"InvoiceItem": [
{
"item": "Consulting service",
"description": "Monthly retainer",
"unit_price": 100.0,
"quantity": 2,
"tax1": null,
"tax2": null,
"product_id": 3,
"discount": 0,
"discount_type": 2,
"store_id": 0,
"lot": [],
"expiry_date": [],
"serials": []
}
],
"Payment": [
{
"payment_method": "cash",
"amount": 200.0
}
],
"InvoiceCustomField": {},
"Deposit": {},
"InvoiceReminder": {},
"Document": {},
"DocumentTitle": {}
},
{
"Invoice": {
"client_id": 6,
"client_email": "test@test.tesdttt",
"staff_id": 1,
"branch_id": 1,
"store_id": 1,
"type": 0,
"currency_code": "USD",
"date": "2026-06-17",
"draft": false,
"discount": 0,
"discount_amount": 0,
"deposit": 0,
"notes": "Thanks for your business"
},
"InvoiceItem": [
{
"item": "Consulting service",
"description": "Monthly retainer",
"unit_price": 100.0,
"quantity": 2,
"tax1": null,
"tax2": null,
"product_id": 2,
"discount": 0,
"discount_type": 2,
"store_id": 0,
"lot": [],
"expiry_date": [],
"serials": []
}
],
"Payment": [
{
"payment_method": "cash",
"amount": 200.0
}
],
"InvoiceCustomField": {},
"Deposit": {},
"InvoiceReminder": {},
"Document": {},
"DocumentTitle": {}
}
]'